# Class ConfigException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.ttools.plot2.config.ConfigException

All Implemented Interfaces:
  `Serializable`

public class ConfigException extends Exception
Exception thrown when a configuration input value is not suitable.

Since:
  26 Feb 2013
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConfigException(ConfigKey<?> key, String msg)`
Constructor.
`ConfigException(ConfigKey<?> key, String msg, Throwable cause)`
Constructor with chained exception.

## Method Summary

Modifier and Type
Method
Description
`ConfigKey<?>`
`getConfigKey()`
Returns the key whose value this exception applies to.

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConfigException

public ConfigException(ConfigKey<?> key, String msg, Throwable cause)
Constructor with chained exception.

Parameters:
  `key` - key whose value was being solicited when the error occurred
  `msg` - error message, may reference value but should not name key
  `cause` - chained exception, if any

### ConfigException

public ConfigException(ConfigKey<?> key, String msg)
Constructor.

Parameters:
  `key` - key whose value was being solicited when the error occurred
  `msg` - error message, may reference value but should not name key

## Method Details

### getConfigKey

public ConfigKey<?> getConfigKey()
Returns the key whose value this exception applies to.

Returns:
  config key